# Yahoo! UI Library

### yuitest 2.8.2r1

Yahoo! UI Library > yuitest > YAHOO.tool.TestManager
Search:
Filters Show Private Show Protected Show Deprecated

## `static` Class YAHOO.tool.TestManager

Runs pages containing test suite definitions.

### Properties

#### _curPage - `private static String`

The URL of the page currently being executed.

#### _frame - `private static Window`

The frame used to load and run tests.

#### _logger - `private static YAHOO.tool.TestLogger`

The logger used to output results from the various tests.

#### _pages - `private static String[]`

Array of pages to load.

#### _results - `private static Object`

Aggregated results

#### _timeoutId - `private static int`

The timeout ID for the next iteration through the tests.

#### TEST_MANAGER_BEGIN_EVENT - `static final string`

Constant for the testmanagerbegin custom event

#### TEST_MANAGER_COMPLETE_EVENT - `static final string`

Constant for the testmanagercomplete custom event

#### TEST_PAGE_BEGIN_EVENT - `static final string`

Constant for the testpagebegin custom event

#### TEST_PAGE_COMPLETE_EVENT - `static final string`

Constant for the testpagecomplete custom event

### Methods

#### _handleTestRunnerComplete

`private static Void _handleTestRunnerComplete ( data )`
Handles TestRunner.COMPLETE_EVENT, storing the results and beginning the loop again.

Parameters:
  `data <Object>` Data about the event.

#### _processResults

`private static Void _processResults ( )`
Processes the results of a test page run, outputting log messages for failed tests.

#### _run

`private static Void _run ( )`
Loads the next test page into the iframe.

#### load

`static Void load ( )`
Signals that a test page has been loaded. This should be called from within the test page itself to notify the TestManager that it is ready.

#### setPages

`static Void setPages ( pages )`
Sets the pages to be loaded.

Parameters:
  `pages <String[]>` An array of URLs to load.

#### start

`static Void start ( )`
Begins the process of running the tests.

#### stop

`static Void stop ( )`
Stops the execution of tests.

### Events

#### testmanagerbegin

`static testmanagerbegin ( )`
Fires when the test manager starts running all test pages

#### testmanagercomplete

`static testmanagercomplete ( obj )`
Fires when the test manager finishes running all test pages. External test runners should subscribe to this event in order to get the aggregated test results.

Parameters:
  `obj < pages_passed: int, pages_failed: int, tests_passed: int tests_failed: int, passed: string[], failed: string[], page_results: {} >`

#### testpagebegin

`static testpagebegin ( curPage )`
Fires when loading a test page

Parameters:
  `curPage <string>` the page being loaded

#### testpagecomplete

`static testpagecomplete ( obj )`
Fires when a test page is complete

Parameters:
  `obj <page: string, results: object>` the name of the page that was loaded, and the test suite results

Copyright © 2010 Yahoo! Inc. All rights reserved.